.\"     $NetBSD: cpu_configure.9,v 1.4 2003/04/16 13:35:26 wiz Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Gregory McGarry.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 23, 2002
.Dt CPU_CONFIGURE 9
.Os
.Sh NAME
.Nm cpu_configure
.Nd machine-dependent device autoconfiguration
.Sh SYNOPSIS
.In sys/systm.h
.Ft void
.Fn cpu_configure "void"
.Sh DESCRIPTION
.Fn cpu_configure
is called during system bootstrap to perform the machine-dependent
portion of device autoconfiguration.
It sets the configuration machinery in motion by finding the root
bus ("mainbus").
When this function returns, interrupts must be enabled.
.Pp
.Fn cpu_configure
performs the following tasks:
.Bl -bullet
.It
initialize soft interrupts (see
.Xr softintr 9 )
.It
initialize CPU interrupts and SPLs
.It
call
.Fn config_rootfound
for "mainbus"
.It
complete any initialization deferred from
.Fn cpu_startup .
.El
.Sh SEE ALSO
.Xr autoconf 9 ,
.Xr cpu_startup 9
